#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int n,q;
    scanf("%d",&n);
    scanf("%d",&q);
    int a[n],b,c[q],veci[q],manji[q],jednaki[q];
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
    for(int i=0;i<q;i++)
    {
        scanf("%d",&b);
        veci[i]=0;
        manji[i]=0;
        jednaki[i]=0;
        for(int j=0;j<n;j++)
        {
            if(a[j]>b)
            {
                veci[i]++;
            }
            if(a[j]<b)
            {
                manji[i]++;
            }
            if(a[j]>b)
            {
                jednaki[i]++;
            }
        }
        if(abs(veci[i]-manji[i])-jednaki[i]>0)
        {
            c[i]=abs(veci[i]-manji[i])-jednaki[i];
        }
        else
        {
            c[i]=0;
        }
    }
    for(int i=0;i<q;i++)
    {
        printf("%d\n",c[i]);
    }
    return 0;
}